Package org.kapott.hbci.sepa.jaxb.pain_001_001_09

## Class ExchangeRate1

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_001_001_09.ExchangeRate1

    public class ExchangeRate1
    extends java.lang.Object

Java class for ExchangeRate1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ExchangeRate1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="UnitCcy" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.09}ActiveOrHistoricCurrencyCode" minOccurs="0"/>
             <element name="XchgRate" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.09}BaseOneRate" minOccurs="0"/>
             <element name="RateTp" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.09}ExchangeRateType1Code" minOccurs="0"/>
             <element name="CtrctId" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.09}Max35Text" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.lang.String` `ctrctId`
`protected ExchangeRateType1Code` `rateTp`
`protected java.lang.String` `unitCcy`
`protected java.math.BigDecimal` `xchgRate`

### Constructor Summary

Constructors
`ExchangeRate1()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getCtrctId()` Gets the value of the ctrctId property.
`ExchangeRateType1Code` `getRateTp()` Gets the value of the rateTp property.
`java.lang.String` `getUnitCcy()` Gets the value of the unitCcy property.
`java.math.BigDecimal` `getXchgRate()` Gets the value of the xchgRate property.
`void` `setCtrctId​(java.lang.String value)` Sets the value of the ctrctId property.
`void` `setRateTp​(ExchangeRateType1Code value)` Sets the value of the rateTp property.
`void` `setUnitCcy​(java.lang.String value)` Sets the value of the unitCcy property.
`void` `setXchgRate​(java.math.BigDecimal value)` Sets the value of the xchgRate property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### unitCcy

    protected java.lang.String unitCcy

#### xchgRate

    protected java.math.BigDecimal xchgRate

#### rateTp

    protected ExchangeRateType1Code rateTp

#### ctrctId

    protected java.lang.String ctrctId

### Constructor Detail

#### ExchangeRate1

    public ExchangeRate1()

### Method Detail

#### getUnitCcy

    public java.lang.String getUnitCcy()

Gets the value of the unitCcy property.

Returns:
  possible object is `String`

#### setUnitCcy

    public void setUnitCcy​(java.lang.String value)

Sets the value of the unitCcy property.

Parameters:
  `value` - allowed object is `String`

#### getXchgRate

    public java.math.BigDecimal getXchgRate()

Gets the value of the xchgRate property.

Returns:
  possible object is `BigDecimal`

#### setXchgRate

    public void setXchgRate​(java.math.BigDecimal value)

Sets the value of the xchgRate property.

Parameters:
  `value` - allowed object is `BigDecimal`

#### getRateTp

    public ExchangeRateType1Code getRateTp()

Gets the value of the rateTp property.

Returns:
  possible object is `ExchangeRateType1Code`

#### setRateTp

    public void setRateTp​(ExchangeRateType1Code value)

Sets the value of the rateTp property.

Parameters:
  `value` - allowed object is `ExchangeRateType1Code`

#### getCtrctId

    public java.lang.String getCtrctId()

Gets the value of the ctrctId property.

Returns:
  possible object is `String`

#### setCtrctId

    public void setCtrctId​(java.lang.String value)

Sets the value of the ctrctId property.

Parameters:
  `value` - allowed object is `String`